Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

specs are:

  • CENTOS 5.9 x86_64 standard
  • WHM 11.38.1 (build 13)
  • Apache 2.2.24
  • 5.4.17
  • ImageMagick 6.8.6-6
  • Imagick 3.1.0RC2 (beta)

I've been trying to install imagick for php after installing ImageMagick which was relatively straight forward.

For both I used this tutorial -comment 16 - Link

I got the wand header file issue where I needed to add a -6 and then I got some errors about not being able to load libraries (something like libfftw)... but after messing around with it some more I got it to work, don't know how.

Few days later I tested it again and it no longer works. Now I get the error

Warning: PHP Startup: Unable to load dynamic library '/root/imagick-3.1.0RC2/modules/imagick.so' - libMagickWand-6.Q16.so.1: cannot open shared object file: No such file or directory in Unknown on line 0

Both imagick.so and libMagickWand-6 exist so does anyone have any ideas why they can't be loaded?

share|improve this question
2  
why do you have shared libraries under /root? –  dawud Jul 20 '13 at 12:34
    
@dawud that's what the tutorial I linked to did, is that a problem? Would these issues not exist if I installed it somewhere else? –  mrmryb Jul 20 '13 at 12:38
    
You could try php53u-pecl-imagick-3.0.1-3.ius.el5.x86_64.rpm from ius community repo –  ALex_hha Jul 20 '13 at 12:42
    
@ALex_hha dunno what the correct way to do it is so did a wget on the rpm file and then tried to do a yum local(install) on the file and i get this message Excluding Packages in global exclude list Finished Reducing CentOS.Karan.Org-EL5 - Testing to included packages only Finished Setting up Install Process Examining php53u-pecl-imagick-3.0.1-3.ius.el5.x86_64.rpm: php53u-pecl-imagick-3.0.1-3.ius.el5.x86_64 Nothing to do –  mrmryb Jul 20 '13 at 12:59
    
@mrmryb - doing anything under /root as a superuser is dangerous; specifically, using /root to place system-wide binaries/libraries instead of directories specified in the FHS isn't going to work. Please also read the manual about package management on RHEL/CentOS. –  Deer Hunter Jul 20 '13 at 17:47

2 Answers 2

First of all you need to enable repo

# rpm --import http://dl.iuscommunity.org/pub/ius/IUS-COMMUNITY-GPG-KEY
# rpm -ivh http://dl.iuscommunity.org/pub/ius/stable/Redhat/5/x86_64/epel-release-5-4.noarch.rpm
# rpm -ivh http://dl.iuscommunity.org/pub/ius/stable/Redhat/5/x86_64/ius-release-1.0-11.ius.el5.noarch.rpm

Then erase all installed php

# yum erase php-*

And install all necessary packages from ius

# yum install php54-pecl-imagick php54 php54-common php54-cli
share|improve this answer
    
Thanks for the help, it didn't work for me though. It says the rpm bits installed correctly. The result I got from the final command was Excluding Packages in global exclude list Finished Reducing CentOS.Karan.Org-EL5 - Testing to included packages only Finished Setting up Install Process No package php54-pecl-imagick available. No package php54 available. No package php54-common available. No package php54-cli available. Nothing to do –  mrmryb Jul 20 '13 at 13:31
    
Is seems that yum doesn't see the new repo. Try explicitly enable it # yum install php54 --enablerepo=ius . Is there file called ius.repo in the /etc/yum.repos.d? –  ALex_hha Jul 20 '13 at 13:39
    
Same message Excluding Packages in global exclude list Finished Reducing CentOS.Karan.Org-EL5 - Testing to included packages only Finished Setting up Install Process No package php54 available. Nothing to do. Yes there is ius.repo in that folder. –  mrmryb Jul 20 '13 at 13:47
    
Very strange. Are you using some yum plugins? Is there some files in the /etc/yum/pluginconf.d ? –  ALex_hha Jul 20 '13 at 14:13
    
There is one file, fastestmirror.conf, don't know where it's come from, but I've been trying so many techniques to install imagick that I might have added it inadvertently. –  mrmryb Jul 20 '13 at 14:21

Try the following

# yum install ImageMagick.x86_64

# mkdir /root/im
# cd /root/im
# wget http://dl.iuscommunity.org/pub/ius/stable/Redhat/5/x86_64/php54-cli-5.4.16-1.ius.el5.x86_64.rpm
# wget http://dl.iuscommunity.org/pub/ius/stable/Redhat/5/x86_64/php54-common-5.4.16-1.ius.el5.x86_64.rpm
# wget http://dl.iuscommunity.org/pub/ius/stable/Redhat/5/x86_64/php54-5.4.16-1.ius.el5.x86_64.rpm
# wget http://dl.iuscommunity.org/pub/ius/stable/Redhat/5/x86_64/php54-pear-1.9.4-2.ius.el5.noarch.rpm
# wget http://dl.iuscommunity.org/pub/ius/stable/Redhat/5/x86_64/php54-pecl-imagick-3.1.0-RC1.2.ius.el5.x86_64.rpm

# rpm -ivh php54-*

P.S. As I understand ImageMagick 6.8.6-6 was installed from source?

share|improve this answer
    
ye I installed ImageMagick through wget make install process. Tried out your technique rpm -ivh php54-* error: Failed dependencies: httpd is needed by php54-5.4.16-1.ius.el5.x86_64 httpd-mmn = 20051115 is needed by php54-5.4.16-1.ius.el5.x86_64 libedit.so.0()(64bit) is needed by php54-cli-5.4.16-1.ius.el5.x86_64 libMagick.so.10()(64bit) is needed by php54-pecl-imagick-3.1.0-RC1.2.ius.el5.x86_64 libWand.so.10()(64bit) is needed by php54-pecl-imagick-3.1.0-RC1.2.ius.el5.x86_64 –  mrmryb Jul 20 '13 at 16:14
    
First install apache yum install httpd then try again –  ALex_hha Jul 20 '13 at 16:44

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.